/**
 * Copyright 2008 Peach Jean Solutions
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.xj4.jmock;

import org.xj4.lifecycle.LifecycleProvider;
import org.xj4.lifecycle.Lifecycle;

import java.lang.reflect.Field;
import java.util.List;
import java.util.Collections;

import org.jmock.Mockery;

/**
 * Provider class for {@link MockeryLifecycle}.
 *
 * @author Jared Bunting
 */
public class MockeryLifecycleProvider implements LifecycleProvider {
  public boolean canHandle(Field field) {
    return field.getType() == Mockery.class;
  }

  public List<? extends Lifecycle> handle(Field field) {
    return Collections.singletonList(new MockeryLifecycle());
  }
}
